Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  abstract class BoxUnbox extends AnyRef
  Definition Classes
    opt
- BoxConsumer
- BoxCreation
- BoxKind
- BoxedPrimitiveTypeCheck
- CopyOpsIterator
- Drop
- EscapingConsumer
- InstanceCreation
- ModuleFactory
- ModuleGetter
- PrimitiveBox
- PrimitiveBoxingGetter
- PrimitiveUnboxingGetter
- Ref
- StaticFactory
- StaticGetterOrInstanceRead
- StaticSetterOrInstanceWrite
- Tuple

c

scala.tools.nsc.backend.jvm.opt.BoxUnbox

# Tuple

###
Companion object Tuple

#### case class Tuple(boxedTypes: List[Type], tupleClass: InternalName) extends BoxKind with Product with Serializable

Source
  BoxUnbox.scala

Linear Supertypes
java.io.Serializable, Product, Equals, BoxKind, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Tuple
2. Serializable
3. Product
4. Equals
5. BoxKind
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Tuple(boxedTypes: List[Type], tupleClass: InternalName)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Tuple toany2stringadd[Tuple] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Tuple, B)
   Implicit
     This member is added by an implicit conversion from Tuple toArrowAssoc[Tuple] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val boxedTypes: List[Type]
   Definition Classes
     Tuple → BoxKind
8.  def checkBoxConsumer(insn: AbstractInsnNode, prodCons: ProdConsAnalyzer): Option[BoxConsumer]
   Definition Classes
     Tuple → BoxKind
9.  def checkBoxCreation(insn: AbstractInsnNode, prodCons: ProdConsAnalyzer): Option[BoxCreation]
   Definition Classes
     Tuple → BoxKind
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (Tuple) => Boolean, msg: => Any): Tuple
    Implicit
      This member is added by an implicit conversion from Tuple toEnsuring[Tuple] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (Tuple) => Boolean): Tuple
    Implicit
      This member is added by an implicit conversion from Tuple toEnsuring[Tuple] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): Tuple
    Implicit
      This member is added by an implicit conversion from Tuple toEnsuring[Tuple] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): Tuple
    Implicit
      This member is added by an implicit conversion from Tuple toEnsuring[Tuple] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def extractedValueIndex(extraction: BoxConsumer): Int
    Definition Classes
      Tuple → BoxKind
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Tuple toStringFormat[Tuple] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def isMutable: Boolean
    Definition Classes
      Tuple → BoxKind
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def productElementNames: Iterator[String]
    Definition Classes
      Product
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  val tupleClass: InternalName
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Tuple, B)
   Implicit
     This member is added by an implicit conversion from Tuple toArrowAssoc[Tuple] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BoxKind

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTuple to any2stringadd[Tuple]

### Inherited by implicit conversion StringFormat fromTuple to StringFormat[Tuple]

### Inherited by implicit conversion Ensuring fromTuple to Ensuring[Tuple]

### Inherited by implicit conversion ArrowAssoc fromTuple to ArrowAssoc[Tuple]

### Ungrouped